> ## Documentation Index
> Fetch the complete documentation index at: https://docs.limitguard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Certificate

> Verify and retrieve a certificate by its hash.

Public endpoint (no auth required) for certificate embedding and verification.

Args:
    certificate_hash: SHA-256 hash of certificate

Returns:
    CertificateVerifyResponse with verification status

Raises:
    HTTPException: 404 if certificate not found



## OpenAPI

````yaml /api-reference/openapi.json get /v1/certificate/{certificate_hash}
openapi: 3.1.0
info:
  title: LimitGuard.ai
  description: Trust Intelligence API - Entity verification and risk scoring
  version: 0.1.0
servers:
  - url: https://api.limitguard.ai
security: []
paths:
  /v1/certificate/{certificate_hash}:
    get:
      summary: Verify Certificate
      description: >-
        Verify and retrieve a certificate by its hash.


        Public endpoint (no auth required) for certificate embedding and
        verification.


        Args:
            certificate_hash: SHA-256 hash of certificate

        Returns:
            CertificateVerifyResponse with verification status

        Raises:
            HTTPException: 404 if certificate not found
      operationId: verify_certificate_v1_certificate__certificate_hash__get
      parameters:
        - name: certificate_hash
          in: path
          required: true
          schema:
            type: string
            title: Certificate Hash
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CertificateVerifyResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CertificateVerifyResponse:
      properties:
        certificate:
          $ref: '#/components/schemas/TrustCertificate'
          description: Certificate data
        valid:
          type: boolean
          title: Valid
          description: Whether certificate is currently valid
        chain_verified:
          type: boolean
          title: Chain Verified
          description: Whether certificate chain is verified
        issuer_trusted:
          type: boolean
          title: Issuer Trusted
          description: Whether issuer is trusted
      type: object
      required:
        - certificate
        - valid
        - chain_verified
        - issuer_trusted
      title: CertificateVerifyResponse
      description: Response for certificate verification.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TrustCertificate:
      properties:
        certificate_id:
          type: string
          title: Certificate Id
          description: Unique certificate UUID
        entity_name:
          type: string
          title: Entity Name
          description: Name of certified entity
        country:
          type: string
          title: Country
          description: 2-character ISO country code
        trust_score:
          type: integer
          maximum: 100
          minimum: 0
          title: Trust Score
          description: Trust score 0-100
        trust_level:
          type: string
          title: Trust Level
          description: Trust level (HIGH, MEDIUM, LOW)
        issued_at:
          type: string
          format: date-time
          title: Issued At
          description: Certificate issuance timestamp
        expires_at:
          type: string
          format: date-time
          title: Expires At
          description: Certificate expiration timestamp
        certificate_hash:
          type: string
          title: Certificate Hash
          description: SHA-256 hash of certificate content
        issuer:
          type: string
          title: Issuer
          description: Certificate issuer
          default: LimitGuard.ai
        schema_version:
          type: string
          title: Schema Version
          description: Certificate schema version
          default: '1.0'
        status:
          type: string
          title: Status
          description: Certificate status
          default: active
        json_ld:
          additionalProperties: true
          type: object
          title: Json Ld
          description: JSON-LD structured data representation
      type: object
      required:
        - certificate_id
        - entity_name
        - country
        - trust_score
        - trust_level
        - issued_at
        - expires_at
        - certificate_hash
        - json_ld
      title: TrustCertificate
      description: Trust certificate issued by LimitGuard.ai.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````